echo off
cls

rem    ROOTS III installation batch file.
rem    Ver 1.07   by Aaron Lyon   8807.26

if "%1" == "" goto usage
if not "%2" == "" goto usage
c:
cd \
echo *
echo *   Make sure the ROOTS III PROGRAM diskette is in drive A.
echo *
echo *   A description of this batch file's function can be viewed
echo * by first stopping execution, then at the DOS prompt, typing
echo *
echo A:R3INSTAL
echo *
echo *   If you want to stop execution of this batch file now,
echo * type CTRL+C and answer "Y" to the "Terminate...Y/N?" query.
pause
if exist ROOTS3\*.* goto skip1
md ROOTS3
echo *
echo *   \ROOTS3 directory created.

:skip1
cd ROOTS3
echo *   Copying PROGRAM disk into \ROOTS3 ...
copy a:ROOTS3.*/v
copy a:*.OVL/v
copy a:INSTALL.*/v
echo *
echo *   PROGRAM diskette copied to the \ROOTS3 directory.
if exist %1\*.* goto skip2
md %1
echo *
echo *   Basefile subdirectory created off \ROOTS3
echo *       C:\ROOTS3\%1

:skip2
cd \
echo *
echo *   ROOTS III installation is complete.
echo *
echo *   This installation uses the IBM.COD Console Driver for IBM PC
echo * and compatible computers. If you intend to use a mouse or .PIC
echo * files, or you are using a non IBM compatible computer, put the
echo * AUXILIARY disk in drive A: and type the following command at the
echo * "C:\>" prompt (please see the installation manual for details
echo * on .COD files):
echo *
echo COPY A:name.COD \ROOTS3\ROOTS.COD
echo *
echo *   This installation also uses the IBM.HLP file. If you intend
echo * to use a non IBM compatible computer, make sure the AUXILIARY
echo * disk is in drive A:, and type the following command at the
echo * "C:\>" prompt (see installation manual for details on .HLP
echo * files):
echo *
echo COPY A:name.HLP \ROOTS3\ROOTS.HLP
echo *
pause
echo *
echo *   After this batch file finishes, to start ROOTS III, type
echo *
echo CD \ROOTS3\%1
echo ..\ROOTS3 %1
echo *
echo *   NOTE: If you use DOS version 2.x, to start ROOTS III, type
echo *
echo CD \ROOTS3\%1
echo PATH=\ROOTS3
echo SET ROOTS3=\ROOTS3
echo ROOTS3 %1
echo *
goto end

:usage
echo *
echo *   USAGE:
echo *
echo     A:R3INSTAL BasefileName
echo *                                         --- Example: a:r3instal SMITH
echo *
echo *   Where BasefileName is the name of the subdirectory where your first
echo * basefile will be located. (Must have eight or fewer characters.)
echo *
echo *   This batch file will install ROOTS III on your hard drive C:
echo * in a directory named ROOTS3 which will be created off your root
echo * directory. Further, a subdirectory will be created off ROOTS3 in
echo * which you will keep your first basefile.
echo *
echo *   To start ROOTS III after running R3INSTAL.BAT, you will simply type:
echo *
echo CD \ROOTS3\BaseFileName
echo ..\ROOTS3 BaseFileName
echo *
pause
echo *   NOTE: If you use DOS version 2.x, to start ROOTS III, type
echo *
echo CD \ROOTS3\BaseFileName
echo SET PATH=\ROOTS3
echo SET ROOTS3=\ROOTS3
echo ROOTS3 BaseFileName
echo *
goto end2

:end

rem KENNEDY basefile installation

echo * The next section of this batch file will describe how to install
echo * the KENNEDY basefile on your hard disk in the directory
echo * C:\ROOTS3\KENNEDY.
echo *
echo * (The KENNEDY basefile can also be run from a floppy diskette.
echo * See "Getting Started" in the ROOTS III manual for details.)
echo *
echo * If you do NOT want to install the KENNEDY basefile on your hard
echo * disk, hold down the CTRL key and press BREAK.
echo *
pause
cd\ROOTS3
md KENNEDY
cd KENNEDY
echo *
echo * Put the ROOTS III DATA diskette in drive A and type
echo *
echo COPY A:*.*
echo *
echo * After the files are copied, you can start the KENNEDY basefile
echo * by typing
echo *
echo ..\ROOTS3 KENNEDY
echo *
echo * NOTE: If you are using DOS 2.x, you must type
echo *
echo SET PATH=\ROOTS3
echo SET ROOTS3=\ROOTS3
echo ROOTS3 KENNEDY
echo *

:end2
